Skip to main content
`Ctrl`+`K`

# MatUpdateMPIAIJWithArray

updates an `MATMPIAIJ` matrix using an array that contains the nonzero values

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatUpdateMPIAIJWithArray(Mat mat, const PetscScalar v[])

Collective

## Input Parameters

- mat - the matrix

- v - matrix values, stored by row

## Notes

The matrix must have been obtained with `MatCreateMPIAIJWithArrays()` or `MatMPIAIJSetPreallocationCSR()`

The column indices in the call to `MatCreateMPIAIJWithArrays()` or `MatMPIAIJSetPreallocationCSR()` must have been sorted for this call to work correctly

## See Also

Matrices, `Mat`, `MatCreate()`, `MatCreateSeqAIJ()`, `MatSetValues()`, `MatMPIAIJSetPreallocation()`, `MatMPIAIJSetPreallocationCSR()`, `MATMPIAIJ`, `MatCreateAIJ()`, `MatCreateMPIAIJWithSplitArrays()`, `MatUpdateMPIAIJWithArrays()`, `MatSetPreallocationCOO()`, `MatSetValuesCOO()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/mpiaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages